For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
      • GETList all User Audit Logs
      • GETRetrieve a User Audit Log
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceUser Audit Logs

List all User Audit Logs

GET
https://api.withpersona.com/api/v1/user-audit-logs
GET
/api/v1/user-audit-logs
$curl https://api.withpersona.com/api/v1/user-audit-logs \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "user-audit-log",
5 "id": "ual_ABC123ABC",
6 "attributes": {
7 "path": "/api/v1/inquiries",
8 "method": "GET",
9 "get-params": {},
10 "post-params": {},
11 "ip-address": "127.0.0.1",
12 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36",
13 "response-status": 200,
14 "created-at": "2023-10-03T21:31:05.163Z"
15 },
16 "relationships": {
17 "user": {
18 "data": {
19 "type": "user",
20 "id": "user_ABC123"
21 }
22 },
23 "user-session": {
24 "data": {
25 "type": "user-session",
26 "id": "uses_ABC123"
27 }
28 }
29 }
30 },
31 {
32 "type": "user-audit-log",
33 "id": "ual_ABC123XYZ",
34 "attributes": {
35 "path": "/api/internal/dashboard/v1/user-sessions/uses_ABC123/expire",
36 "method": "GET",
37 "get-params": {},
38 "post-params": {
39 "data": {
40 "id": "uses_ABC123",
41 "type": "user-session"
42 }
43 },
44 "ip-address": "127.0.0.1",
45 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36",
46 "response-status": 200,
47 "created-at": "2023-10-03T21:31:05.163Z"
48 },
49 "relationships": {
50 "user": {
51 "data": {
52 "type": "user",
53 "id": "user_ABC123"
54 }
55 },
56 "user-session": {
57 "data": {
58 "type": "user-session",
59 "id": "uses_ABC123"
60 }
61 }
62 }
63 }
64 ],
65 "links": {
66 "prev": "/api/v1/user-audit-logs?page%5Bbefore%5D=ual_ABC123",
67 "next": "/api/v1/user-audit-logs?page%5Bafter%5D=ual_ABC123"
68 },
69 "included": [
70 {
71 "id": "user_ABC123",
72 "attributes": {
73 "email-address": "jane@doe.com",
74 "name-first": "Jane",
75 "name-last": "Doe"
76 },
77 "type": "user"
78 }
79 ]
80}

Returns a list of your organization’s user audit logs for up to the most recent 6 months.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like user audit logs in Sandbox via API. Results are returned in reverse chronological order, with the most recently created objects first.

Was this page helpful?
Previous

Retrieve a User Audit Log

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a collection of User Audit Logs objects.
datalist of objects
linksobject
includedlist of objects

Objects that will be returned by default unless otherwise specified using the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.